{% extends "users/userspace.html" %}

{% block content %}
    <div class="container my-5">
        <h1>Confirmation d'adresse mail</h1>

        <form action="" method="post" class="px-3 my-3">
            {% csrf_token %}

            {% if form.errors %}
            <div class="alert alert-danger" role="alert">
                {% for fieldname, errors in form.errors.items %}
                    {% if fieldname == "__all__" %}
                        Problèmes :
                    {% else %}
                        {{ fieldname }} :
                    {% endif %}
                    <ul>
                        {% for error in errors %}
                            <li>{{ error }}</li>
                        {% endfor %}
                    </ul>
                {% endfor %}
            </div>
        {% endif %}

            <div class="mb-3">
                <label for="{{ form.code.id_for_label }}" class="form-label">
                    Veuillez indiquer votre code ci-dessous :
                </label>

                {{ form.code }}
            </div>

            <button type="submit" class="btn btn-primary">Valider</button>
        </form>

        <p>
            Votre code n'est plus valide ?<br>

            <button class="btn btn-primary mt-3" id="send_confirmation_email_btn">
                Renvoyer l'email de confirmation
            </button>
        </p>
    </div>
{% endblock %}

{% block scripts %}
    {% load static %}
    <script src="{% static 'js/send_email_confirmation.js' %}"></script>
    <script>
        registerConfirmationEmailEvent("send_confirmation_email_btn");
    </script>
{% endblock %}

